org.apache.mina.http.api

## Interface HttpPdu

All Known Subinterfaces:
  HttpMessage, HttpRequest, HttpResponse

All Known Implementing Classes:
  DefaultHttpResponse, HttpContentChunk, HttpEndOfContent, HttpRequestImpl

    public interface HttpPdu

Marker interface for decoded HTTP elements (P.D.U.: Protocol Data Units)

Author:
  Apache MINA Project

### Method Summary

Methods
`ByteBuffer` `encode(HttpPduEncodingVisitor visitor)`

### Method Detail

#### encode

    ByteBuffer encode(HttpPduEncodingVisitor visitor)